> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create lead

POST https://api.propexo.com/v1/leads/
Content-Type: application/json

Create a lead for an integration.

Reference: https://docs.propexo.com/api-reference/pms-generic-ap-is/leads/create-lead

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_leads__post_input.

- `integration_id` (string, required)
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `first_name` (string, optional) — The first name associated with the lead
- `last_name` (string, optional) — The last name associated with the lead
- `employee_id` (string, optional) — The Propexo unique identifier for the employee
- `desired_unit_ids` (list of string, optional) — An array of the Propexo unit IDs that the lead is interested in
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `number_of_additional_occupants` (integer, optional) — The number of additional occupants associated with the lead
- `desired_num_bathrooms` (double, optional) — The desired number of bathrooms
- `desired_num_bedrooms` (double, optional) — The desired number of bedrooms
- `credit_score` (string, optional) — The credit score of the lead
- `target_move_in_date` (V1LeadsPostInputTargetMoveInDate, optional) — The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used
- `email_1` (string, optional) — The primary email address associated with the lead
- `has_cats` (boolean, optional) — Whether or not the lead has cats
- `has_dogs` (boolean, optional) — Whether or not the lead has dogs
- `has_other_pets` (boolean, optional) — Whether or not the lead has pets that aren't dogs or cats
- `desired_max_rent_in_cents` (integer, optional) — The maximum rent cost the lead is looking to pay, in cents
- `monthly_income_in_cents` (integer, optional) — The monthly income of the lead, in cents
- `middle_initial` (string, optional) — The middle initial of the lead
- `phone_1` (string, optional) — Primary phone number associated with the lead
- `lead_source` (string, optional) — The name of the source of the lead
- `status` (enum, optional) — The status associated with the lead
  - Allowed values: `ACTIVE`, `COLD`, `INACTIVE`, `WAITLISTED`
- `lead_source_id` (string, optional) — The Propexo unique identifier for the lead source
- `lease_period_id` (string, optional) — The Propexo unique identifier for the lease period
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `middle_name` (string, optional) — The middle name associated with the lead
- `phone_2` (string, optional) — Secondary phone number associated with the lead
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `address_1` (string, optional) — The first address line associated with the lead
- `address_2` (string, optional) — The second address line associated with the lead
- `city` (string, optional) — The city associated with the lead
- `state` (string, optional) — The state associated with the lead
- `zip` (string, optional) — The zip code associated with the lead
- `desired_min_rent_in_cents` (double, optional, nullable) — The minimum rent cost the lead is looking to pay, in cents
- `number_of_occupants` (integer, optional) — The number of occupants living in the unit
- `notes` (string, optional) — Notes associated with the lead
- `events` (list of V1LeadsPostInputEventsItems, optional) — A list of events to create for the new lead
- `address_type_id` (string, optional) — The Propexo unique identifier for the address type
- `desired_lease_term_in_months` (string, optional) — The amount of months for the lease term
- `applicant_status` (enum, optional) — The applicant status of the lead. This is optional and defaults to APPLICANT.
  - Allowed values: `APPLICANT`, `CO_APPLICANT`, `OCCUPANT`
- `country` (string, optional) — The country associated with the lead
- `status_raw` (string, optional) — The raw status associated with the lead
- `desired_unit_type` (string, optional) — The desired type of unit
- `lead_relationship_id` (string, optional) — The Propexo unique identifier for the lead relationship
- `date_of_birth` (V1LeadsPostInputDateOfBirth, optional) — The date of birth associated with the lead
- `floor_plan_id` (string, optional) — The Propexo unique identifier for the floor plan
- `third_party_id` (string, optional) — A unique value provided to the PMS to uniquely identify the lead from your system.
- `organization_name` (string, optional) — The name of your organization. Yardi uses this for associating a lead
- `desired_move_in_date` (V1LeadsPostInputDesiredMoveInDate, optional, deprecated) — Deprecated. Use target_move_in_date instead.
- `desired_bathrooms` (string, optional, deprecated) — Deprecated. Use desired_num_bathrooms instead.
- `desired_bedrooms` (integer, optional, deprecated) — Deprecated. Use desired_num_bedrooms instead.

## Response

### 200

Successful response

- `job_id` (string, required) — The ID of the job created to handle this operation
- `data` (V1LeadsPostOutputData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1LeadsPostInputTargetMoveInDate

The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used

### V1LeadsPostInputEventsItems

- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `event_name` (enum, required) — The name or type of event. This has to be from a predefined set of events.
  - Allowed values: `CallToProspect`, `CallFromProspect`, `Other`, `WalkIn`, `Chat`, `Email`, `Text`, `Webservice`, `Appointment`, `Show`, `Application`, `SelfGuidedTour`, `Application`
- `event_datetime` (string, required) — The date when the event will occur
- `lead_source_id` (string, optional) — The Propexo unique identifier for the lead source
- `unit_id` (string, optional) — The Propexo unique identifier for the unit. Only some events use this, including "Show" and "Appointment".
- `notes` (string, optional) — Notes associated with the event
- `reasons_for_event` (string, optional) — The reasons for the event

### V1LeadsPostInputDateOfBirth

The date of birth associated with the lead

### V1LeadsPostInputDesiredMoveInDate

Deprecated. Use target_move_in_date instead.

### V1LeadsPostOutputData

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}
```

**Response**

```json
{
  "job_id": "job_123e4567-e89b-12d3-a456-426614174000",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leads/"

payload = { "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leads/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leads/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leads/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/leads/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/leads/', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leads/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leads/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```